define({"556":{y:0,u:"../Content/Lua/LuaDocument/_LUA_getFieldValue.htm",l:-1,t:"getFieldValue",i:0.000442736925387681,a:"getFieldValue The getFieldValue method gets the value of a field in a document. To return the values of a multi-value field, see  getFieldValues . Syntax getFieldValue( fieldname [, case]) Arguments Returns (String). A string containing the value."},"557":{y:0,u:"../Content/Lua/LuaDocument/_LUA_getFieldValues.htm",l:-1,t:"getFieldValues",i:0.0008190636876059,a:"The getFieldValues method gets all values from all fields that have the same name. Syntax getFieldValues( fieldname [, case]) Arguments Returns (Strings). Strings that contain the values. To map the return values to a table, surround the function call with braces. For example: fieldvalues = { ..."},"558":{y:0,u:"../Content/Lua/LuaDocument/_LUA_getNextSection.htm",l:-1,t:"getNextSection",i:0.000442736925387681,a:"The getNextSection method returns the next section of a document (if the document has been divided into sections). The document object passed to the script\u0027s handler function represents the first section of the document. This means that the methods described in this section read and modify only the ..."},"559":{y:0,u:"../Content/Lua/LuaDocument/_LUA_getReference.htm",l:-1,t:"getReference",i:0.000442736925387681,a:"getReference The getReference method returns a string containing the reference (the value of the DREREFERENCE document field). Syntax getReference() Returns (String). A string containing the reference."},"560":{y:0,u:"../Content/Lua/LuaDocument/_LUA_getSection.htm",l:-1,t:"getSection",i:0.000442736925387681,a:"The getSection method returns a LuaDocument object with the specified section as the active section. Syntax getSection(number) Arguments Returns (LuaDocument). A LuaDocument object with the specified section as the active section. Example -- Get object for section 7 of document\nlocal section = ..."},"561":{y:0,u:"../Content/Lua/LuaDocument/_LUA_getSectionCount.htm",l:-1,t:"getSectionCount",i:0.000442736925387681,a:"getSectionCount The getSectionCount method returns the number of sections in a document. Syntax getSectionCount() Returns (Number). The number of sections. Example local sectionCount = document:getSectionCount()"},"562":{y:0,u:"../Content/Lua/LuaDocument/_LUA_getValueByPath.htm",l:-1,t:"getValueByPath",i:0.000442736925387681,a:"The getValueByPath method gets the value of a document field.  The field is specified by its path, which means that you can get the value of a sub field. If you pass this method the path of a multi-value field, only the first value is returned. To return all of the values from a multi-value field, ..."},"563":{y:0,u:"../Content/Lua/LuaDocument/_LUA_getValuesByPath.htm",l:-1,t:"getValuesByPath",i:0.0008190636876059,a:"The getValuesByPath method gets all values of a document field. The field is specified by its path, which means that you can get values from a sub field. Syntax getValuesByPath( path ) Arguments Returns (Strings). Strings that contain the values. To map the return values to a table, surround the ..."},"564":{y:0,u:"../Content/Lua/LuaDocument/_LUA_hasField.htm",l:-1,t:"hasField",i:0.000442736925387681,a:"hasField The hasField method checks to see if a field exists in the current document. Syntax hasField ( fieldname [, case]) Arguments Returns (Boolean). True if the field exists, false otherwise."},"565":{y:0,u:"../Content/Lua/LuaDocument/_LUA_insertJson.htm",l:-1,t:"insertJson",i:0.000567794147849698,a:"The insertJson method inserts metadata from a JSON string, LuaJsonObject, or LuaJsonArray, into a document. Syntax insertJson ( json [, fieldName] ) Arguments Example The following example Lua script uses the insertJson method to add metadata to a document: function handler(document)\n  local ..."},"566":{y:0,u:"../Content/Lua/LuaDocument/_LUA_insertXml.htm",l:-1,t:"insertXml",i:0.000442736925387681,a:"insertXml The insertXml method inserts XML metadata into the document. Syntax insertXml ( node ) Arguments Returns (LuaField). A LuaField object of the inserted data."},"567":{y:0,u:"../Content/Lua/LuaDocument/_LUA_insertXmlWithoutRoot.htm",l:-1,t:"insertXmlWithoutRoot",i:0.000442736925387681,a:"The insertXmlWithoutRoot method inserts XML metadata into the document. This method does not insert the top level node. All of the child nodes are inserted into the document. insertXmlWithoutRoot(node) is therefore equivalent to calling insertXml() for each child node. Syntax insertXmlWithoutRoot ( ..."},"568":{y:0,u:"../Content/Lua/LuaDocument/_LUA_LuaDocument_new.htm",l:-1,t:"LuaDocument:new",i:0.000442736925387681,a:"The constructor for a LuaDocument object (creates a new LuaDocument object that only contains a reference). Syntax LuaDocument:new( reference ) Arguments Returns (LuaDocument). The new LuaDocument object. Example local reference = \"my_reference\"\nlocal document = LuaDocument:new(reference)"},"569":{y:0,u:"../Content/Lua/LuaDocument/_LUA_removeSection.htm",l:-1,t:"removeSection",i:0.000442736925387681,a:"The removeSection method removes a section from a document. Syntax removeSection( sectionNumber ) Arguments Returns Nothing. Example \n-- Example that removes the last section of a document\nif document:getSectionCount() \u003e 0 then\n   local lastSection = document:getSectionCount() - 1\n   ..."},"570":{y:0,u:"../Content/Lua/LuaDocument/_LUA_renameField.htm",l:-1,t:"renameField",i:0.000442736925387681,a:"renameField The renameField method changes the name of a field. Syntax renameField( currentname, newname [, case]) Arguments"},"571":{y:0,u:"../Content/Lua/LuaDocument/_LUA_setContent.htm",l:-1,t:"setContent",i:0.000442736925387681,a:"The setContent method sets the content (the value of the DRECONTENT field) for a document or document section. Syntax setContent( content [, number] ) Arguments Examples \n-- Set content for section 0\ndocument:setContent(\"content0\")\n\n-- Get document for section 1\nlocal section = ..."},"572":{y:0,u:"../Content/Lua/LuaDocument/_LUA_setFieldValue.htm",l:-1,t:"setFieldValue",i:0.000442736925387681,a:"setFieldValue The setFieldValue method sets the value of a field in a document. If the field does not exist, it is created. If the field already exists, the existing value is overwritten. Syntax setFieldValue( fieldname, newvalue ) Arguments"},"573":{y:0,u:"../Content/Lua/LuaDocument/_LUA_setReference.htm",l:-1,t:"setReference",i:0.000442736925387681,a:"setReference The setReference method sets the reference (the value of the DREREFERENCE document field) to the string passed in. Syntax setReference( reference ) Arguments"},"574":{y:0,u:"../Content/Lua/LuaDocument/_LUA_to_IDX.htm",l:-1,t:"to_idx",i:0.000442736925387681,a:"to_idx The to_idx method returns a string containing the document in IDX format. Syntax to_idx() Returns (String). Returns the document as a string."},"575":{y:0,u:"../Content/Lua/LuaDocument/_LUA_to_JSON.htm",l:-1,t:"to_json",i:0.000442736925387681,a:"to_json The to_json method returns a string containing the document in JSON format. Syntax to_json() Returns (String). Returns the document as a string."},"576":{y:0,u:"../Content/Lua/LuaDocument/_LUA_to_XML.htm",l:-1,t:"to_xml",i:0.000442736925387681,a:"to_xml The to_xml method returns a string containing the document in XML format. Syntax to_xml() Returns (String). Returns the document as a string."},"577":{y:0,u:"../Content/Lua/LuaDocument/_LUA_writeStubIdx.htm",l:-1,t:"writeStubIdx",i:0.000442736925387681,a:"The writeStubIdx method writes out a stub IDX document (a metadata file used by IDOL applications). The file is created in the current folder, but you can specify a full path and file name if you want to create the file in another folder. Syntax writeStubIdx( filename ) Arguments Returns (Boolean). ..."},"578":{y:0,u:"../Content/Lua/LuaDocument/_LUA_writeStubXml.htm",l:-1,t:"writeStubXml",i:0.000442736925387681,a:"The writeStubXml method writes out an XML file containing the metadata for the document. The file is created in the current folder but you can specify a full path and file name if you want to create the file in another folder. Syntax writeStubXml( filename ) Arguments Returns (Boolean) True if ..."},"579":{y:0,u:"../Content/Lua/LuaField/_LUA_LuaField_Methods.htm",l:-1,t:"LuaField Methods",i:0.000426864583930713,a:"This section describes the methods provided by LuaField objects. A LuaField represents a single field in a document. You can retrieve LuaField objects for a document using the LuaDocument getField and getFields methods. In its simplest form a field has just a name and a value, but it can also ..."},"580":{y:0,u:"../Content/Lua/LuaField/_LUA_addField.htm",l:-1,t:"addField",i:0.000441377994063615,a:"addField The addField method adds a sub field with the specified name and value. Syntax addField( fieldname, fieldvalue ) Arguments Returns (LuaField) A LuaField object representing the new field."},"581":{y:0,u:"../Content/Lua/LuaField/_LUA_copyField.htm",l:-1,t:"copyField",i:0.000441377994063615,a:"copyField The copyField method copies a sub field to another sub field. If the target sub field exists it is overwritten. Syntax copyField ( from, to [, case]) Arguments"},"582":{y:0,u:"../Content/Lua/LuaField/_LUA_copyFieldNoOverwrite.htm",l:-1,t:"copyFieldNoOverwrite",i:0.000441377994063615,a:"The copyFieldNoOverwrite method copies the sub field to another sub field but does not overwrite the destination. After this operation the destination field contains all the values of the source field as well as any values it already had. Syntax copyFieldNoOverwrite( from, to [, case]) Arguments"},"583":{y:0,u:"../Content/Lua/LuaField/_LUA_countField.htm",l:-1,t:"countField",i:0.000441377994063615,a:"countField The countField method returns the number of sub fields that exist with the specified name. Syntax countField ( fieldname [, case]) Arguments Returns (Number). The number of sub fields that exist with the specified name."},"584":{y:0,u:"../Content/Lua/LuaField/_LUA_deleteAttribute.htm",l:-1,t:"deleteAttribute",i:0.000441377994063615,a:"deleteAttribute The deleteAttribute method deletes the specified field attribute. Syntax deleteAttribute( name ) Arguments"},"585":{y:0,u:"../Content/Lua/LuaField/_LUA_deleteField.htm",l:-1,t:"deleteField",i:0.000441377994063615,a:"deleteField The deleteField method deletes the sub field with the specified name. Syntax deleteField( name [, case] )  deleteField( name , value [, case] )  Arguments"},"586":{y:0,u:"../Content/Lua/LuaField/_LUA_deleteFieldByPath.htm",l:-1,t:"deleteFieldByPath",i:0.000441377994063615,a:"deleteFieldByPath The deleteFieldByPath method removes the sub field(s) with the specified path. Syntax deleteFieldByPath( path ) Arguments Example myField:deleteFieldByPath(\"path/to/subfield\")"},"587":{y:0,u:"../Content/Lua/LuaField/_LUA_getAttributeValue.htm",l:-1,t:"getAttributeValue",i:0.000441377994063615,a:"getAttributeValue The getAttributeValue method gets the value of the specified attribute. Syntax getAttributeValue( name ) Arguments Returns (String). The attribute value."},"588":{y:0,u:"../Content/Lua/LuaField/_LUA_getField.htm",l:-1,t:"getField",i:0.000441377994063615,a:"getField The getField method returns the specified sub field. Syntax getField ( name [, case]) Arguments Returns (LuaField) A LuaField object."},"589":{y:0,u:"../Content/Lua/LuaField/_LUA_getFieldNames.htm",l:-1,t:"getFieldNames",i:0.000441377994063615,a:"The getFieldNames method returns the names of the sub fields in the LuaField object. Syntax getFieldNames() Returns (Strings). The names of the sub fields. The strings can be assigned to a table. To map the return values to a table, surround the function call with braces. For example: fieldnames = { ..."},"590":{y:0,u:"../Content/Lua/LuaField/_LUA_getFields.htm",l:-1,t:"getFields",i:0.000441377994063615,a:"The getFields method returns all of the sub fields specified by the name argument. Syntax getFields( name [, case] ) Arguments Returns (LuaFields) One LuaField per matching field. The objects can be assigned to a table. To map the return values to a table, surround the function call with braces. For ..."},"591":{y:0,u:"../Content/Lua/LuaField/_LUA_getFieldsByRegex.htm",l:-1,t:"getFieldsByRegex",i:0.000441377994063615,a:"The getFieldsByRegex method returns all sub fields where the sub field name or path (relative to this field) matches a regular expression. Syntax getFieldsByRegex( regex [, recursive [, matchFullPath [, caseSensitive ]]]) Arguments Returns (LuaFields) A list of LuaField objects where each LuaField ..."},"592":{y:0,u:"../Content/Lua/LuaField/_LUA_getFieldValues.htm",l:-1,t:"getFieldValues",i:0.000441377994063615,a:"The getFieldValues method returns the values of all of the sub fields with the specified name. Syntax getFieldValues( fieldname [, case] ) Arguments Returns (Strings) One string for each value. The strings can be assigned to a table. To map the return values to a table, surround the function call ..."},"593":{y:0,u:"../Content/Lua/LuaField/_LUA_getValueByPath.htm",l:-1,t:"getValueByPath",i:0.000441377994063615,a:"The getValueByPath method gets the value of a sub-field, specified by path.   If you pass this method the path of a sub-field that has multiple values, only the first value is returned. To return all of the values from a multi-value sub-field, see  getValuesByPath . Syntax getValueByPath( path ) ..."},"594":{y:0,u:"../Content/Lua/LuaField/_LUA_getValuesByPath.htm",l:-1,t:"getValuesByPath",i:0.000816549661449666,a:"The getValuesByPath method gets the values of a sub-field, specified by path.   Syntax getValuesByPath( path ) Arguments Returns (Strings). Strings that contain the values. To map the return values to a table, surround the function call with braces. For example: fieldvalues = { ..."},"595":{y:0,u:"../Content/Lua/LuaField/_LUA_hasAttribute.htm",l:-1,t:"hasAttribute",i:0.000441377994063615,a:"hasAttribute The hasAttribute method returns a Boolean indicating whether the field has the specified attribute. Syntax hasAttribute( name ) Arguments Returns (Boolean). A Boolean specifying if the field has the specified attribute."},"596":{y:0,u:"../Content/Lua/LuaField/_LUA_hasField.htm",l:-1,t:"hasField",i:0.000441377994063615,a:"hasField The hasField method returns a Boolean specifying if the sub field exists. Syntax hasField( fieldname [, case]) Arguments Returns (Boolean). A Boolean specifying if the sub field exists or not."},"597":{y:0,u:"../Content/Lua/LuaField/_LUA_insertJson.htm",l:-1,t:"insertJson",i:0.000441377994063615,a:"insertJson The insertJson method inserts metadata from a JSON string, LuaJsonObject, or LuaJsonArray, into the field. Syntax insertJson ( json [, fieldName] ) Arguments See Also LuaDocument:insertJson"},"598":{y:0,u:"../Content/Lua/LuaField/_LUA_insertXml.htm",l:-1,t:"insertXml",i:0.000441377994063615,a:"insertXml The insertXml method inserts XML metadata into the document. When called on a LuaField, the insertXml method inserts the fields as children of the LuaField. Syntax insertXml ( node ) Arguments Returns (LuaField). A LuaField object of the inserted data."},"599":{y:0,u:"../Content/Lua/LuaField/_LUA_insertXmlWithoutRoot.htm",l:-1,t:"insertXmlWithoutRoot",i:0.000441377994063615,a:"The insertXmlWithoutRoot method inserts XML metadata into the document. This method does not insert the top level node. All of the child nodes are inserted into the document. insertXmlWithoutRoot(node) is therefore equivalent to calling insertXml() for each child node. Syntax insertXmlWithoutRoot ( ..."},"600":{y:0,u:"../Content/Lua/LuaField/_LUA_name.htm",l:-1,t:"name",i:0.000441377994063615,a:"name The name method returns the name of the field object. Syntax name() Returns (String). The name of the field object."},"601":{y:0,u:"../Content/Lua/LuaField/_LUA_renameField.htm",l:-1,t:"renameField",i:0.000441377994063615,a:"renameField The renameField method renames a sub field. Syntax renameField( oldname, newname [, case] ) Arguments"},"602":{y:0,u:"../Content/Lua/LuaField/_LUA_setAttributeValue.htm",l:-1,t:"setAttributeValue",i:0.000441377994063615,a:"setAttributeValue The setAttributeValue method sets the value for the specified attribute of the field. Syntax setAttributeValue( attribute, value ) Arguments"},"603":{y:0,u:"../Content/Lua/LuaField/_LUA_setValue.htm",l:-1,t:"setValue",i:0.000441377994063615,a:"setValue The setValue method sets the value of the field. Syntax setValue( value ) Arguments"},"604":{y:0,u:"../Content/Lua/LuaField/_LUA_value.htm",l:-1,t:"value",i:0.000441377994063615,a:"value The value method returns the value of the field object. Syntax value() Returns (String). The value of the field object."},"605":{y:0,u:"../Content/Lua/LuaHttpRequest/_LUA__LuaHttpRequest.htm",l:-1,t:"LuaHttpRequest Methods",i:0.000562232905457732,a:"This section describes the methods provided by LuaHttpRequest objects. If you have a LuaHttpRequest object called request you can call its methods using the \u0027:\u0027 operator. For example: request:send() Method Description send Sends the HTTP request. set_body Sets the body of the HTTP request. ..."},"606":{y:0,u:"../Content/Lua/LuaHttpRequest/_LUA_LuaHttpRequest_new.htm",l:-1,t:"LuaHttpRequest:new",i:0.000486601897969856,a:"The constructor for a LuaHttpRequest object (creates a new LuaHttpRequest). Syntax LuaHttpRequest:new( config, section ) Arguments Returns (LuaHttpRequest). The new LuaHttpRequest object. Example The following example creates a new LuaHttpRequest object by reading configuration settings from a ..."},"607":{y:0,u:"../Content/Lua/LuaHttpRequest/_LUA_send.htm",l:-1,t:"send",i:0.000621970219496875,a:"The send method sends the HTTP request. Syntax send() Returns (LuaHttpResponse). A  LuaHttpResponse  object. The send method can throw an exception if the request fails. You can catch an exception by calling the method  using the Lua function pcall. Example The following example shows how to send a ..."},"608":{y:0,u:"../Content/Lua/LuaHttpRequest/_LUA_set_body.htm",l:-1,t:"set_body",i:0.000486601897969856,a:"set_body The set_body method sets the body of the HTTP request. Syntax set_body( body ) Arguments"},"609":{y:0,u:"../Content/Lua/LuaHttpRequest/_LUA_set_config.htm",l:-1,t:"set_config",i:0.000486601897969856,a:"The set_config method specifies settings to use for sending the HTTP request (in the form of a section from a configuration file). For example, you can specify the proxy server to use by setting the parameters ProxyHost and ProxyPort, or specify the SSL version to use by setting SSLMethod. Syntax ..."},"610":{y:0,u:"../Content/Lua/LuaHttpRequest/_LUA_set_header.htm",l:-1,t:"set_header",i:0.000900213941771921,a:"set_header The set_header method adds a header to the HTTP request. Syntax set_header( name, value ) Arguments Example request:set_header(\"X-EXAMPLE\", \"Example\")"},"611":{y:0,u:"../Content/Lua/LuaHttpRequest/_LUA_set_headers.htm",l:-1,t:"set_headers",i:0.000486601897969856,a:"set_headers The set_headers method replaces all headers in the HTTP request with new headers. To add a header without changing existing headers, use the method  set_header . Syntax set_headers( headers ) Arguments Example request:set_headers( {X-EXAMPLE=\"Example\", X-ANOTHER=\"ANOTHER\"} )"},"612":{y:0,u:"../Content/Lua/LuaHttpRequest/_LUA_set_method.htm",l:-1,t:"set_method",i:0.000486601897969856,a:"set_method Specifies the HTTP request method to use when sending the request, for example GET or POST.  Syntax set_method( method ) Arguments Example request:set_method(\"POST\")"},"613":{y:0,u:"../Content/Lua/LuaHttpRequest/_LUA_set_url.htm",l:-1,t:"set_url",i:0.000486601897969856,a:"set_url The set_url method sets the URL that you want to send the HTTP request to. Syntax set_url( url ) Arguments Example request:set_url(\"https://www.example.com/\")"},"614":{y:0,u:"../Content/Lua/LuaHttpResponse/_LUA__LuaHttpResponse.htm",l:-1,t:"LuaHttpResponse Methods",i:0.000955539886723356,a:"This section describes the methods provided by LuaHttpResponse objects. A LuaHttpResponse object is provided when you send an HTTP request using the  send  method on a  LuaHttpRequest  object. If you have a LuaHttpResponse object called response you can call its methods using the \u0027:\u0027 operator. For ..."},"615":{y:0,u:"../Content/Lua/LuaHttpResponse/_LUA_get_body.htm",l:-1,t:"get_body",i:0.000562232905457732,a:"get_body The get_body method returns the body of the HTTP response. Syntax get_body() Returns (String). The body of the HTTP response."},"616":{y:0,u:"../Content/Lua/LuaHttpResponse/_LUA_get_header.htm",l:-1,t:"get_header",i:0.000562232905457732,a:"get_header The get_header method returns the value of a specified HTTP header. Syntax get_header( name ) Arguments Returns (String). The value of the header."},"617":{y:0,u:"../Content/Lua/LuaHttpResponse/_LUA_get_headers.htm",l:-1,t:"get_headers",i:0.000562232905457732,a:"The get_headers method returns the names and values of all of the headers in the HTTP response. Syntax get_headers() Returns (table) A table that maps header names to values. Example The following example sends an HTTP request and then prints the headers that are returned to the console: local ..."},"618":{y:0,u:"../Content/Lua/LuaHttpResponse/_LUA_get_http_code.htm",l:-1,t:"get_http_code",i:0.000562232905457732,a:"get_http_code The get_http_code method returns the HTTP response code for the request. Syntax get_http_code() Returns (number). The response code, for example 200 for success, or 404 for not found."},"619":{y:0,u:"../Content/Lua/LuaJsonArray/_LUA__LuaJsonArray.htm",l:-1,t:"LuaJsonArray Methods",i:0.00239005099979334,a:"A LuaJsonArray object represents a JSON array. If you have a LuaJsonArray object called myJsonArray you can call its methods using the \u0027:\u0027 operator. For example: myJsonArray:size() Method Description append Appends a value to the array. clear Clears the array, so that it contains no values. copy ..."},"620":{y:0,u:"../Content/Lua/LuaJsonArray/_LUA_LuaJsonArray_new.htm",l:-1,t:"LuaJsonArray:new",i:0.00059616009531554,a:"The constructor for a LuaJsonArray object (creates a new LuaJsonArray). Syntax LuaJsonArray:new( values ) Arguments Returns (LuaJsonArray). The new LuaJsonArray object. Example The following is a simple JSON array: [4, \"a string\", true] To create a LuaJsonArray object to represent this array: local ..."},"621":{y:0,u:"../Content/Lua/LuaJsonArray/_LUA_append.htm",l:-1,t:"append",i:0.00059616009531554,a:"append The append method appends a value to the JSON array. Syntax append( value ) Arguments Example local myJsonArray = LuaJsonArray:new(4,\"a string\",true)\nmyJsonArray:append(6)\n-- the array is now [4, \"a string\", true, 6]"},"622":{y:0,u:"../Content/Lua/LuaJsonArray/_LUA_clear.htm",l:-1,t:"clear",i:0.00059616009531554,a:"clear The clear method clears the array, so that it contains no values. Syntax clear() Example local myJsonArray = LuaJsonArray:new(4,\"a string\",true)\nmyJsonArray:clear()\nprint (myJsonArray:string())\n-- []"},"623":{y:0,u:"../Content/Lua/LuaJsonArray/_LUA_copy.htm",l:-1,t:"copy",i:0.00059616009531554,a:"The copy method returns a copy of the array. Modifying the copy does not modify the original array. Syntax copy() Returns (LuaJsonArray). A copy of the array. Example local myJsonArray = LuaJsonArray:new(4,\"a string\",true)\nlocal anotherJsonArray = myJsonArray:copy()\nprint ..."},"624":{y:0,u:"../Content/Lua/LuaJsonArray/_LUA_empty.htm",l:-1,t:"empty",i:0.00059616009531554,a:"The empty method checks whether the JSON array is empty. Syntax empty() Returns (Boolean). Returns true if the array is empty. Example local myJsonArray = LuaJsonArray:new(4,\"a string\",true)\n\nprint (\"Is the array empty?  \" , myJsonArray:empty() )\n-- Is the array empty?   ..."},"625":{y:0,u:"../Content/Lua/LuaJsonArray/_LUA_exists.htm",l:-1,t:"exists",i:0.00397431460365152,a:"The exists method checks whether a specified path exists in the JSON array. Syntax exists( pathElements ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nlocal myJsonArray = ..."},"626":{y:0,u:"../Content/Lua/LuaJsonArray/_LUA_existsByPath.htm",l:-1,t:"existsByPath",i:0.00397431460365152,a:"The existsByPath method checks whether a specified path exists in the JSON array. Syntax existsByPath( path ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nlocal myJsonArray = ..."},"627":{y:0,u:"../Content/Lua/LuaJsonArray/_LUA_ipairs.htm",l:-1,t:"ipairs",i:0.00059616009531554,a:"The ipairs method returns a function that you can use with a for loop to iterate over all of the values in the array. Syntax ipairs() Example local myJsonArray = LuaJsonArray:new(4,\"a string\",true)\n\nfor i, v in myJsonArray:ipairs() do\n  print (v:string())\nend\n\n-- prints the following...\n-- 4\n-- a ..."},"628":{y:0,u:"../Content/Lua/LuaJsonArray/_LUA_lookup.htm",l:-1,t:"lookup",i:0.00397431460365152,a:"The lookup method returns the value at the specified path in the JSON array. This method does not make a copy of the value, so modifying the returned value affects the original array. Syntax lookup( pathElements ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified path, ..."},"629":{y:0,u:"../Content/Lua/LuaJsonArray/_LUA_lookupByPath.htm",l:-1,t:"lookupByPath",i:0.00397431460365152,a:"The lookupByPath method returns the value at the specified path in the JSON array. This method does not make a copy of the value, so modifying the returned value affects the original array. Syntax lookupByPath( path ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"630":{y:0,u:"../Content/Lua/LuaJsonArray/_LUA_size.htm",l:-1,t:"size",i:0.00059616009531554,a:"size The size method returns the size of the JSON array. Syntax size() Returns (integer). The number of values in the array. Example local myJsonArray = LuaJsonArray:new(4,\"a string\",true)\nprint (\"Array size is \" , myJsonArray:size() )\n-- Array size is 3"},"631":{y:0,u:"../Content/Lua/LuaJsonArray/_LUA_string.htm",l:-1,t:"string",i:0.00059616009531554,a:"The string method returns the JSON array as a string. Syntax string() Returns (String). The array as a string. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nlocal myJsonArray = LuaJsonArray:new(\"zero\",1,2,myJsonObject)\n\nprint (myJsonArray:string())\n-- ..."},"632":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA__LuaJsonObject.htm",l:-1,t:"LuaJsonObject Methods",i:0.00239005099979334,a:"A LuaJsonObject object represents a JSON object. If you have a LuaJsonObject object called object you can call its methods using the \u0027:\u0027 operator. For example: object:size() Method Description assign Adds an attribute (a name/value pair) to the object. assign Adds a table of attributes (name/value ..."},"633":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_LuaJsonObject_new.htm",l:-1,t:"LuaJsonObject:new",i:0.000571975022260565,a:"The constructor for a LuaJsonObject object (creates a new LuaJsonObject). If you do not specify any attributes to assign to the object (by omitting the attributes argument), an empty object is created. Syntax LuaJsonObject:new( [attributes] ) Arguments Returns (LuaJsonObject). The new LuaJsonObject ..."},"634":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_assign.htm",l:-1,t:"assign",i:0.000571975022260565,a:"The assign method adds an attribute (a name/value pair) to the object. Syntax assign (name, value) Arguments Example local myJsonObject = LuaJsonObject:new( { name1=\"value1\" , name2=\"value2\" } )\nmyJsonObject:assign(\"name3\", \"value3\")\nmyJsonObject:assign(\"name4\", LuaJsonArray:new(\"value4a\",\"value4b\") ..."},"635":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_assign2.htm",l:-1,t:"assign",i:0.000571975022260565,a:"The assign method adds a table of attributes (name/value pairs) to the object. Syntax assign (attributes) Arguments Example local myJsonObject = LuaJsonObject:new()\nmyJsonObject:assign( {\n        attr1=LuaJsonObject:new( { n=42 } ),\n        attr2=LuaJsonArray:new( 1, 2, \"three\" ),\n        ..."},"636":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_clear.htm",l:-1,t:"clear",i:0.000571975022260565,a:"clear The clear method clears the object, so that it contains no attributes (name/value pairs). Syntax clear() Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nmyJsonObject:clear()\nprint (myJsonObject:string())\n-- {}"},"637":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_copy.htm",l:-1,t:"copy",i:0.000571975022260565,a:"The copy method returns a copy of the JSON object. Modifying the copy does not modify the original object. Syntax copy() Returns (LuaJsonObject). A copy of the object. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nlocal anotherJsonObject = ..."},"638":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_empty.htm",l:-1,t:"empty",i:0.000571975022260565,a:"empty The empty method determines whether the JSON object is empty. Syntax empty() Returns (Boolean). Returns true if the object has no attributes (name/value pairs). Example local myJsonObject = LuaJsonObject:new()\nprint(myJsonObject:empty())\n-- true\n"},"639":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_erase.htm",l:-1,t:"erase",i:0.000571975022260565,a:"erase The erase method removes a specified attribute (name/value pair) from the JSON object. Syntax erase( name ) Arguments Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nmyJsonObject:erase(\"version\")\nprint (myJsonObject:string())\n-- {\"product\":\"IDOL\"}"},});